Loading...
Searching...
No Matches
p_Delete__T.cc File Reference

Go to the source code of this file.

## Functions

LINKAGE void | p_Delete__T (poly *pp, const ring r)

## Function Documentation

## p_Delete__T()

LINKAGE void p_Delete__T | ( | poly * | pp,
|  | const ring | r )

Definition at line 11 of file p_Delete__T.cc.

{
poly p = *pp;
while (p != NULL)
{
n_Delete__T(&(p->coef), r->cf);
p = p_LmFreeAndNext(p, r);
}
*pp = NULL;
}
pp
CanonicalForm FACTORY_PUBLIC pp(const CanonicalForm &)
CanonicalForm pp ( const CanonicalForm & f ).
Definition cf_gcd.cc:676
p
int p
Definition cfModGcd.cc:4086
NULL
#define NULL
Definition omList.c:12
n_Delete__T
#define n_Delete__T(n, r)
Definition p_polys.cc:5042
p_LmFreeAndNext
static poly p_LmFreeAndNext(poly p, ring)
Definition p_polys.h:713